Page MenuHomePhabricator

Preferentially purge read notifications before unread
Closed, DeclinedPublic

Description

Purge read notifications first (still oldest first).

Only delete unread notifications if there are 0 read notifications remaining and the total is above 2000.

Details

Related Gerrit Patches:

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF updated the task description. (Show Details)
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 25 2016, 7:10 PM
Mattflaschen-WMF set Security to None.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJan 25 2016, 7:10 PM

Change 274690 had a related patch set uploaded (by Matthias Mullie):
Don't delete unread messages before all read messages have been deleted

https://gerrit.wikimedia.org/r/274690

Restricted Application added a project: Growth-Team. · View Herald TranscriptOct 2 2018, 5:26 AM

@matthiasmullie, it's been 2 years so I think the answer is "no", but just wanted to check if you're still planning to work on this task. Do you recall if there are any outstanding issues with the patch you worked on?

I don't recall there being outstanding issues, but it's been so long that someone should definitely check if the patch can/should still be applied today... I imagine some related code may have changed...

kostajh closed this task as Declined.Nov 1 2018, 3:15 PM

@matthiasmullie thanks for the comment. We discussed this in triage and we're going to mark this as Declined for now as we're concerned about the fallout from this and T129727, if demand surfaces again to implement this we will use your patch as a starting point. Thanks!

Change 274690 abandoned by Sbisson:
Don't delete unread messages before all read messages have been deleted

https://gerrit.wikimedia.org/r/274690